#!/bin/sh

PRG=$0

resolve_symlink () {
    while [ -h "$1" ]; do
        ls=`ls -ld "$1"`
        link=`expr "$ls" : '^.*-> \(.*\)$' 2>/dev/null`
        if expr "$link" : '^/' 2> /dev/null >/dev/null; then
            echo "$link"
            exit
        else
            echo `dirname "$1"`"/$link"
            exit
        fi
    done
    echo "$1"
}

absolutize_path () {
    oldpwd=`pwd`
    cd "$1"
    abspath=`pwd`
    cd "${oldpwd}"
    echo $abspath
}

PRG=`resolve_symlink "$PRG"`
progdir=`dirname "$PRG"`
plathome=`absolutize_path "$progdir/.."`

NETBEANS_HOME=$plathome

$NETBEANS_HOME/platform4/lib/nbexec --jdkhome $JAVA_HOME --userdir ~/.ratbrain --clusters $NETBEANS_HOME/ratbrain --branding ratbrain

exit 0
